<?php

/**
 * @license http://www.gnu.org/licenses/gpl-3.0.html  GNU GPL v3
 * @copyright  2019 Université Grenoble Alpes
 */

namespace mod_labnbook\ar;

/* @var $DB \moodle_database */

/**
 * Active Record class that map the "labnbook" table in the DB to a PHP object.
 */
class labnbook
{
    public $id;
    public $course;
    public $name;
    public $intro;
    public $introformat;
    public $labnbook_missionid;
    public $labnbook_teamconfigid;

    public function __construct(array $record = [])
    {
        foreach ($record as $field => $value) {
            if (object_property_exists($this, $field)) {
                $this->$field = $value;
            }
        }
    }

    public static function find(array $criteria)
    {
        global $DB;
        $record = $DB->get_record(LABNBOOK_TABLE, $criteria, '*');
        return new self($record);
    }
}
