<?php

/**
 * @license http://www.gnu.org/licenses/gpl-3.0.html  GNU GPL v3
 * @copyright  2019 Université Grenoble Alpes
 */

namespace mod_labnbook\fetch;

/**
 * Environment of a fetcher, which will produce the base for the JWT payload.
 */
class environment
{
    /**
     * @var string "inst"|"user"
     */
    public $orig;

    /**
     * @var int issuer (institution ID)
     */
    public $iss;

    /**
     * @var int subject (user ID)
     */
    public $sub;

    /**
     * @var string Expiration timestamp, as received from the server
     */
    public $token_exp;

    public function createPayload(): array
    {
        $payload = [
            'iss' => (int) $this->iss,
            'sub' => (int) $this->sub,
            'orig' => (string) $this->orig,
        ];
        if ($this->token_exp) {
            $payload['token_exp'] = (int) $this->token_exp;
        }
        return $payload;
    }
}
