<?php

/**
 * @copyright   2019 Université Grenoble Alpes
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

namespace mod_labnbook\form;

require_once $CFG->libdir . '/formslib.php';
require_once $CFG->libdir . '/form/select.php';

/**
 * select_dynamic differs from Moodle's select by not filtering the value.
 * So this select options do not have to be declared in the PHP model,
 * one can add them dynamically.
 */
class select_dynamic extends \MoodleQuickForm_select
{
    /**
     * Overrides the filtering method.
     *
     * @param array $submitValues submitted values
     * @param bool $assoc if true the returned value is an assoc array
     * @return string|array
     */
    public function exportValue(&$submitValues, $assoc = false)
    {
        if (empty($this->_options)) {
            return $this->_prepareValue(null, $assoc);
        }

        $value = $this->_findValue($submitValues);
        if (\is_null($value)) {
            $value = $this->getValue();
        }

        if ($this->getMultiple()) {
            return $this->_prepareValue((array) $value, $assoc);
        }
        return $this->_prepareValue(\is_array($value) ? $value[0] : $value, $assoc);
    }
}
