<?php

/**
 * Plugin upgrade steps are defined here.
 *
 * @category    upgrade
 * @copyright   2019 Université Grenoble Alpes
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
\defined('MOODLE_INTERNAL') || die();

/**
 * Execute mod_labnbook upgrade from the given old version.
 *
 * @param int $oldversion
 * @return bool
 */
function xmldb_labnbook_upgrade($oldversion)
{
    global $DB;

    $dbman = $DB->get_manager();
    if ($oldversion < 2021010500) {
        // Rename field course on table labnbook to NEWNAMEGOESHERE.
        $table = new xmldb_table('labnbook');
        $field = new xmldb_field('courseid', XMLDB_TYPE_INTEGER, '10', null, XMLDB_NOTNULL, null, '0', 'id');

        // Launch rename field course.
        $dbman->rename_field($table, $field, 'course');
    }
    if ($oldversion < 2021051900) {
        $table = new xmldb_table('labnbook');
        $field = new xmldb_field('grade', XMLDB_TYPE_INTEGER, '11', null, XMLDB_NOTNULL, null, '0', null);
        $dbman->add_field($table, $field);
    }

    if ($oldversion < 2021120118) {
        $table = new xmldb_table('labnbook');
        $field = new xmldb_field('groupid', XMLDB_TYPE_INTEGER, '11', null, null, null, '0', null);
        $dbman->add_field($table, $field);
    }

    // For further information please read the Upgrade API documentation:
    // https://docs.moodle.org/dev/Upgrade_API

    return true;
}
