<?php

/**
 * Plugin strings are defined here.
 *
 * @package     mod_labnbook
 * @category    string
 * @copyright   2019 Université Grenoble Alpes
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['labnbook:addinstance'] = 'Nouvelle activité LabNbook';
$string['labnbook:edit'] = 'Modifier LabNbook';
$string['labnbook:view'] = 'Voir LabNbook';
$string['missingidandcmid'] = 'id et cmid manquants';
$string['modulename'] = 'LabNbook';
$string['modulename_help'] = "Cette activité moodle va donner un accès à une mission LabNbook. Après avoir selectionné la mission, vous allez devoir configurer la façon dont les équipe seront construites.";
$string['modulenameplural'] = 'Activités LabNbook';
$string['newmodulefieldset'] = 'LabNbook';
$string['newmodulename'] = 'Nouvelle activité LabNbook';
$string['newmodulename_help'] = 'Créer une nouvelle activité liée à une mission LabNbook.';
$string['newmodulesettings'] = 'Réglages';
$string['nonewmodules'] = 'Pas de nouveaux modules';
$string['pluginadministration'] = 'Administration de LabNbook';
$string['pluginname'] = 'LabNbook';
$string['privacy:metadata'] = 'LabNbook ne stock pas de données personnelles';
$string['view'] = 'Voir';

// settings
$string['labnbook_api_url'] = "URL LabNbook";
$string['labnbook_api_url_descr'] = "L'url de la racine de l'API LabNbook, avec un slash final. i.e. https://uga.labnbook.fr/api/";
$string['labnbook_api_key'] = "Clef d'API LabNbook";
$string['labnbook_api_key_descr'] = "La clef secrète autorisant Moodle d'utiliser l'API LabNbook. Cette clef est fournie par l'instance LabNbook.";
$string['labnbook_institution_id'] = "Numéro de plateforme externe LabNbook";
$string['labnbook_institution_id_descr'] = "Le numéro de plateforme externe LabNbook qui sera assignée à cette instance moodler.";

// form
$string['instancename'] = "En-tête";
$string['instancename_help'] = "Ce texte sera affiché comme titre de l'activité dans le cours Moodle";
$string['mission'] = "Mission";
$string['addMission'] = "Créer une nouvelle mission";
$string['addMission_help'] = "Créer une nouvelle mission sur LabNbook, une fois la mission créer, appuyer sur le bouton 'mise à jour des mission' pour la voir dans la liste.";
$string['mission_help'] = "Choisir une de vos mission dans LabNbook. Si vous créez une mission LabNbook, utiliser le bouton 'mise à jour des mission' pour rafraichir la liste.";
$string['refresh'] = "Actualiser la liste des missions";
$string['refresh_help'] = "Rafraîchir la liste des missions disponibles en interrogeant la plateforme LabNbook";
$string['teaming'] = "Paramètre de la mise en équipe";
$string['method'] = "Méthode";
$string['method_help'] = "Avec le premier choix, les étudiants vont choisir leur propre équipe si ils n'en n'ont pas.\n\nAvec le second choix, il seront afféctés aléatoirement à une équipe (nouvelle ou existante) quand ils commenceront leur activité.\n\nAvec le troisième choix, seuls les enseignants peuvent gérer les équipes. La gestion des équipes ne peut alors être effectuée que depuis LabNbook.\n\nLe nombre d'équipe et leur taille sont controllés par les prochains réglages";
$string['teamconfigmethod_students'] = "Au choix des étudiants";
$string['teamconfigmethod_random'] = "Distribution aléatoire";
$string['teamconfigmethod_teacher'] = "Au choix de l'enseignant (géré dans LabNbook)";
$string['teams_max'] = "Nombre maximum d'équipe";
$string['teams_max_help'] = "Il n'y aura jamais plus que ce nombre d'équipe, sauf si un enseignant les en crée manuellement.";
$string['size_opt'] = "Taille optimale";
$string['size_opt_help'] = "La taille d'équipe qui serait optimale. Les tailles minimales et maximales seront déduies à partir de cette valeur si elles ne sont pas spécifiées";
$string['size_max'] = "Taille maximale";
$string['size_min'] = "Taille minimale";
$string['group_for_activity'] = "Activité à destination de";
$string['group_for_activity_help'] = "Cette option permet de choisir les étudiants qui peuvent accéder à la mission dans LabNbook - à utiliser conjointement avec les options de restrictions d'accès ci-dessous si vous souhaitez cacher le lien Moodle aux étudiants qui n'ont pas accès à l'activité";
$string['group_is_required'] = "Vous devez spécifier quels étudiants peuvent choisir cette activité";
$string['field_required_for_method'] = "Cette valeur doit être >0 pour cette méthode de mise en équipe";

// view as teacher
$string['external_mission'] = "Modifier la mission";
$string['external_teaming'] = "Choisir les options de mise en équipe dans LabNbook";
$string['external_reports'] = "Voir et gérer les rapports étudiants";
$string['group_name'] = 'Groupe: {$a}';
$string['restricted_to_group'] = 'Accès restreint au groupe "{$a}"';
$string['team_config_init'] = 'Vous devez maintenant configurer la mise en équipe dans LabNbook - cliquez sur le lien "Gérer la mise en équipes" si vous n\'êtes pas redirigé automatiquement';
$string['reports_started'] = '{$a} rapport commencé';
$string['reports_started_plural'] = 'actuellement, {$a} rapports commencés';
$string['reports_submitted'] = 'dont {$a} rendu';
$string['reports_submitted_plural'] = 'dont {$a} rendus';
$string['lnb_management_links'] = "Autres liens LabNbook pour cette activité :";
$string['lnb_management_main_links'] = "Finalisation de la création de l'activité LabNbook :";
$string['external_classe'] = "Voir la classe LabNbook utilisée";
// The three following are printed in this order
$string['enrolled_users_lnb'] = 'actuellement, {$a} étudiant a déjà lié son compte Moodle à LabNbook';
$string['enrolled_users_lnb_plural'] = 'actuellement, {$a} étudiants ont déjà lié leur compte Moodle à LabNbook';
$string['enrolled_users_on'] = ' sur les ';
$string['enrolled_users_moodle'] = '{$a} étudiant inscrit pour cette activité';
$string['enrolled_users_moodle_plural'] = '{$a} étudiants inscrits pour cette activité';

// view as student
$string['gotoreport'] = "Accéder au rapport";
$string['error_duplicate_teaming'] = "Cette mission a déjà été attribuée à ce groupe dans ce cours. Il n'est pas possible d'affecter plusieurs fois une mission à un même groupe pour un cours donné. Si vous venez de supprimer une activité identique, veuillez patienter quelques minutes pour que Moodle se mette à jour";
$string['not_part_of_group'] = "This activity is restricted to a group to which you do not belong";

// view for binding
$string['connectaccount'] = "Lier votre compte à LabNbook";
$string['connectaccountdetails'] = "Pour utiliser LabNbook, vous devez lier votre compte Moodle à LabNbook en cliquant sur le bouton ci-dessous";
$string['informationtransmitted'] = "Les informations suivantes seront transmises à LabNbook :";
$string['bindaccount'] = "Lier mon compte";
$string['studentnumber'] = "Numéro étudiant";
$string['login'] = "Identifiant de connexion";
$string['firstnameandlastname'] = "Prénom et Nom";
